org.hibernate.search.query.engine.spi

## Interface FacetManager

- All Known Implementing Classes:
    FacetManagerImpl

      public interface FacetManager

  Interface defining methods around faceting.
  Author:
    Hardy Ferentschik

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `disableFaceting(String facetingName)` Disable a facet with the given name.
    `FacetManager` | `enableFaceting(FacetingRequest facetingRequest)` Enable a facet request.
    `FacetSelection` | `getFacetGroup(String groupName)` Returns a instance of `FacetSelection` instance in order to apply a disjunction of facet criteria on the current query.
    `List<Facet>` | `getFacets(String facetingName)` Returns the `Facet`s for a given facet name

- - ### Method Detail

    - #### enableFaceting

          FacetManager enableFaceting(FacetingRequest facetingRequest)

      Enable a facet request.
      Parameters:
        `facetingRequest` - the faceting request
      Returns:
        `this` to allow method chaining

    - #### disableFaceting

          void disableFaceting(String facetingName)

      Disable a facet with the given name.
      Parameters:
        `facetingName` - the name of the facet to disable.

    - #### getFacets

          List<Facet> getFacets(String facetingName)

      Returns the `Facet`s for a given facet name
      Parameters:
        `facetingName` - the facet name for which to return the facet list
      Returns:
        the facet result list which corresponds to the facet request with the given name. The empty list is returned for an unknown facet name.
      See Also:
        `enableFaceting(org.hibernate.search.query.facet.FacetingRequest)`

    - #### getFacetGroup

          FacetSelection getFacetGroup(String groupName)

      Returns a instance of `FacetSelection` instance in order to apply a disjunction of facet criteria on the current query.
      Parameters:
        `groupName` - the name the group. If the name is unknown an empty selection group is returned. `null` is not allowed.
      Returns:
        the `FacetSelection` for this group name if it exists., otherwise a new selection is created.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved